Subject: Re: bug#45159: 28.0.50; crash when no space on disk

From: Eli Zaretskii <[email-masked]>
Date: Fri, 11 Dec 2020 10:12:25 +0200

> Date: Fri, 11 Dec 2020 00:23:23 +0300
> From: Jean Louis <[email-masked]>
> Cc: [email-masked]
> 
> > > Additionally I can see that if there is any package like
> > > persistent-scratch, Emacs cannot be killed with C-x C-c as package
> > > asked to be saved. There is no way to exit Emacs is disk space is full
> > > and some package want to save data on exit.
> > 
> > That is also a bug.
> 
> Business of debugging makes my computer frozen. This time I have
> attached gdb to Emacs and it did not crash. I could not do
> anything. Operation interrupted and I could not do just nothin with
> Emacs. xkilled it, and madde bt full which is attached. I will try
> tomorrow again.

What Emacs command triggered the problem which happened before you
attached GDB?  Above, you are talking about not being able to kill
Emacs with "C-x C-c" when persistent-scratch is used -- is that what
you did there before attaching GDB?

> #0  0x00007f15991dedb0 in raise () at /lib/libpthread.so.0
> #1  0x0000000000418ccd in terminate_due_to_signal (sig=sig@entry=6, backtrace_limit=backtrace_limit@entry=40) at emacs.c:408
> #2  0x0000000000418ea0 in emacs_abort () at sysdep.c:2282
> #3  0x000000000045a4ec in redisplay_internal () at xdisp.c:15474

What do you have on line 15474 of xdisp.c in the source tree from
which this binary was produced?  I don't think I understand how
redisplay_internal called emacs_abort in this case.

> #7  0x00000000004f3223 in shut_down_emacs (sig=sig@entry=6, stuff=stuff@entry=0x0) at emacs.c:2450
>         tpgrp = <optimized out>
> #8  0x0000000000418c9e in terminate_due_to_signal (sig=sig@entry=6, backtrace_limit=backtrace_limit@entry=40) at emacs.c:391
> #9  0x0000000000418ea0 in emacs_abort () at sysdep.c:2282
> #10 0x000000000045c2a2 in message3_nolog (m=m@entry=0x4ccd694) at xdisp.c:11117
>         sf = <optimized out>

Likewise here: what do you have on line 11117 of xdisp.c, in
message3_nolog function?  I don't understand how emacs_abort got
called here, either.

Thanks.